"use strict";
const { SysAppWorkspaceModel } = require("uu_appg01_workspace");
const { Config } = require("uu_appg01_core-utils");
const Path = require("path");
const fs = require("fs");

class AboutModel {
  async getAboutInfo(awid) {
    //hds1
    let licenseOwners = await SysAppWorkspaceModel.getLicenseOwner(awid);

    //hds2
    //same solution as loading profiles/mappings in server
    let configJsonPath = Path.join(Config.get("server_root"), "config", "about-config.json");
    let isDevKitProject = fs.existsSync(Path.join(Config.get("server_root"), "env"));
    if (isDevKitProject) configJsonPath = Path.join(Config.get("server_root"), "app", "config", "about-config.json");
    let aboutObj = require(configJsonPath);

    //hds3
    return {
      licenseOwners: {
        organization: licenseOwners.organization,
        authorities: licenseOwners.userList
      },
      ...aboutObj,
      uuAppErrorMap: { ...licenseOwners.uuAppErrorMap }
    };
  }
}

module.exports = new AboutModel();
